ReferenceFinancial reimbursement
Get a financial reimbursement
Returns one reimbursement by `documentId`. A reimbursement is a header-only document recording money paid back to a customer. Requires `Permissions.FinancialReimbursements.View`.
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
documentId*integerFormat
int32application/json- response
amount?|Format
decimalbankAccountNumber?|Length
length <= 50bankStatementAccount?|Length
length <= 50bankStatementNumber?|Length
length <= 50bankStatementRowNumber?|Format
int32bankStatementVariableNumber?|Length
length <= 50cashRegisterId?|Format
int32companyId?|Format
int32constantSymbol?|Length
length <= 50createdAt?|Format
date-timecurrency?|Length
length <= 3currencyId?|Format
int32date?|Format
date-timedeliveryAddressId?|Format
int32doNotPair?boolean|nulldocumentId?|Format
int32documentPrePaymentId?|Format
int32documentType?|Format
int32eetBkp?|Length
length <= 50eetFik?|Length
length <= 50eetInternalNumber?|Format
int32eetPkp?|Length
length <= 344exchangeRate?|Format
decimalformNumber?|Length
length <= 80headerInternalId?|Format
int64id?|Format
int32isLocked?boolean|nullisPaired?boolean|nullisPairedManually?boolean|nulllastModify?|Format
date-timelockOwner?|Length
length <= 30note?string|nullorderCustomerId?|Format
int32orderInternetId?|Format
int32pairedManuallyUserId?|Format
int32receivableId?|Format
int32userId?|Format
int32variableSymbol?|Length
length <= 50vatAmountBasicRate?|Format
decimalvatAmountReducedRate?|Format
decimalvatAmountSuperReducedRate?|Format
decimalvatBasisBasicRate?|Format
decimalvatBasisExempt?|Format
decimalvatBasisNotSubjectOfVat?|Format
decimalvatBasisReducedRate?|Format
decimalvatBasisSuperReducedRate?|Format
decimalcurl -X GET 'https://<your-instance>/api/finances/financial-reimbursements/0' \ -H 'Authorization: Bearer <access-token>'{ "amount": 0, "bankAccountNumber": "string", "bankStatementAccount": "string", "bankStatementNumber": "string", "bankStatementRowNumber": 0, "bankStatementVariableNumber": "string", "cashRegisterId": 0, "companyId": 0, "constantSymbol": "string", "createdAt": "2019-08-24T14:15:22Z", "currency": "str", "currencyId": 0, "date": "2019-08-24T14:15:22Z", "deliveryAddressId": 0, "doNotPair": true, "documentId": 0, "documentPrePaymentId": 0, "documentType": 0, "eetBkp": "string", "eetFik": "string", "eetInternalNumber": 0, "eetPkp": "string", "exchangeRate": 0, "formNumber": "string", "headerInternalId": 0, "id": 0, "isLocked": true, "isPaired": true, "isPairedManually": true, "lastModify": "2019-08-24T14:15:22Z", "lockOwner": "string", "note": "string", "orderCustomerId": 0, "orderInternetId": 0, "pairedManuallyUserId": 0, "receivableId": 0, "userId": 0, "variableSymbol": "string", "vatAmountBasicRate": 0, "vatAmountReducedRate": 0, "vatAmountSuperReducedRate": 0, "vatBasisBasicRate": 0, "vatBasisExempt": 0, "vatBasisNotSubjectOfVat": 0, "vatBasisReducedRate": 0, "vatBasisSuperReducedRate": 0}Create a financial reimbursement POST
Creates a reimbursement from the body and returns the stored document. Reserves the next internal document number. Requires `Permissions.FinancialReimbursements.Create`.
Delete a financial reimbursement DELETE
Deletes the reimbursement. Cannot be undone. Requires `Permissions.FinancialReimbursements.Delete`.